> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytikt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a lead's company

> A lead's company, as TIKT knows it from LinkedIn.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/companies/{id}
openapi: 3.1.0
info:
  title: TIKT API
  version: '2026-10-01'
  description: >-
    Read your leads with their verdict criterion by criterion, and answer TIKT:
    file, discard, exclude, pause, track. Server to server only: never call it
    from a browser.
servers:
  - url: https://api.trytikt.com
security:
  - apiKey: []
tags:
  - name: workspace
  - name: leads
  - name: lists
  - name: posts
  - name: tracked-profiles
  - name: icp
  - name: analytics
  - name: events
  - name: webhook-endpoints
  - name: workflows
  - name: tools
paths:
  /v1/companies/{id}:
    get:
      tags:
        - leads
      summary: Get a lead's company
      description: A lead's company, as TIKT knows it from LinkedIn.
      operationId: getALeadCompany
      parameters:
        - name: id
          in: path
          required: true
          description: The company's id.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Company'
        '400':
          $ref: '#/components/responses/E400'
        '401':
          $ref: '#/components/responses/E401'
        '404':
          $ref: '#/components/responses/E404'
        '429':
          $ref: '#/components/responses/E429'
        '500':
          $ref: '#/components/responses/E500'
        '503':
          $ref: '#/components/responses/E503'
      security:
        - apiKey: []
components:
  schemas:
    Company:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        linkedin_company_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        universal_name:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          anyOf:
            - type: string
            - type: 'null'
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        about:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        specialties:
          type: array
          items:
            type: string
        company_size:
          anyOf:
            - type: string
            - type: 'null'
        employees_count:
          anyOf:
            - type: integer
            - type: 'null'
        organization_type:
          anyOf:
            - type: string
            - type: 'null'
        founded_year:
          anyOf:
            - type: integer
            - type: 'null'
        followers_count:
          anyOf:
            - type: integer
            - type: 'null'
        headquarters:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        locations:
          type: array
          items:
            type: string
        enriched_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
      required:
        - id
        - linkedin_company_id
        - name
        - universal_name
        - linkedin_url
        - website
        - domain
        - logo_url
        - tagline
        - about
        - industry
        - specialties
        - company_size
        - employees_count
        - organization_type
        - founded_year
        - followers_count
        - headquarters
        - country_code
        - locations
        - enriched_at
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - parametre_inconnu
                - parametre_invalide
                - corps_invalide
                - curseur_invalide
                - cle_absente
                - cle_invalide
                - cle_revoquee
                - cle_de_lecture
                - introuvable
                - methode_non_permise
                - limite_atteinte
                - corps_trop_gros
                - refus
                - trop_de_requetes
                - erreur_interne
                - indisponible
            message:
              type: string
            status:
              type: integer
            request_id:
              anyOf:
                - type: string
                - type: 'null'
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
            - status
            - request_id
          additionalProperties: false
      required:
        - error
      additionalProperties: false
  responses:
    E400:
      description: Error 400.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E401:
      description: Error 401.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E404:
      description: Error 404.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E429:
      description: Error 429.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E500:
      description: Error 500.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E503:
      description: Error 503.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Your API key, created in Settings › API: `Authorization: Bearer
        tikt_live_…`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.